/*
 * pFace.java
 *
 * (C) 2005, Alex S.
 */

import java.awt.*;

/**
 * face of an object (brush)
 * (has points, color, plane, etc.
 */
public class pFace {
    public Color color = null;
    public pPlane plane = new pPlane();
    public pFace parent = null;
    public pWinding winding = new pWinding();
    public int windingidx = 0;

    public void average(double[] p){
        winding.average(p);
    }

    // read the winding
    public static pFace read(java.io.StreamTokenizer st) throws java.io.IOException {
        pFace f = new pFace();
        f.plane = pPlane.read(st);
        st.nextToken();
        f.windingidx = (int)st.nval;
        return f;
    }

}

