/*
 * pEntity.java
 *
 * (C) 2005, Alex S.
 */
 
/**
 * any entity that can be moving through the world
 */
public class pEntity {

    public pQuaternion orientation;
    public double x,y,z;    // location

    public pEntity(){
        x = y = z = 0;
        orientation = pQuaternion.fromAxisAngle(0,0,1,Math.PI*2);
    }
    
    public pEntity(double x,double y,double z,pQuaternion q){
        this.x = x;
        this.y = y;
        this.z = z;
        orientation = q;
    }

    public String toString(){
        return "pEntity["+x+","+y+","+z+"; "+orientation+"]";
    }

}
